Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.eside.flingbox.physics.gravity
Class GravitySource

    java.lang.Object
      edu.eside.flingbox.math.Vector2D
          edu.eside.flingbox.physics.gravity.GravitySource

    public class GravitySource

extends Vector2D

Gravity Source defines a gravity vector.

Field Summary
`static float` | `GRAVITY_DEATH_STAR`
`static float` | `GRAVITY_EARTH`
`static float` | `GRAVITY_JUPITER`
`static float` | `GRAVITY_MARS`
`static float` | `GRAVITY_MERCURY`
`static float` | `GRAVITY_MOON`
`static float` | `GRAVITY_NEPTUNE`
`static float` | `GRAVITY_PLUTO`
`static float` | `GRAVITY_SATURN`
`static float` | `GRAVITY_SUN`
`static float` | `GRAVITY_VENUS`

Fields inherited from class edu.eside.flingbox.math.Vector2D
`i, j`

Method Summary
`static GravitySource` | `getAccelerometerBasedGravity(Context c)`
`static GravitySource` | `getStaticGravity(float i, float j)`
`static GravitySource` | `getStaticGravity(Vector2D v)`
`void` | `onAccuracyChanged(Sensor sensor, int accuracy)`
`void` | `onSensorChanged(SensorEvent event)`

Methods inherited from class edu.eside.flingbox.math.Vector2D
`add, angleWithVector, crossProduct, distanceToPoint, dotProduct, isAtSameSide, length, mul, mul, mul, negate, negate, normalize, normalVector, normalVector, projectOver, set, set, sub, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GRAVITY_SUN

    public static final float GRAVITY_SUN

See Also:
  Constant Field Values

### GRAVITY_MERCURY

    public static final float GRAVITY_MERCURY

See Also:
  Constant Field Values

### GRAVITY_VENUS

    public static final float GRAVITY_VENUS

See Also:
  Constant Field Values

### GRAVITY_EARTH

    public static final float GRAVITY_EARTH

See Also:
  Constant Field Values

### GRAVITY_MARS

    public static final float GRAVITY_MARS

See Also:
  Constant Field Values

### GRAVITY_JUPITER

    public static final float GRAVITY_JUPITER

See Also:
  Constant Field Values

### GRAVITY_SATURN

    public static final float GRAVITY_SATURN

See Also:
  Constant Field Values

### GRAVITY_NEPTUNE

    public static final float GRAVITY_NEPTUNE

See Also:
  Constant Field Values

### GRAVITY_PLUTO

    public static final float GRAVITY_PLUTO

See Also:
  Constant Field Values

### GRAVITY_MOON

    public static final float GRAVITY_MOON

See Also:
  Constant Field Values

### GRAVITY_DEATH_STAR

    public static final float GRAVITY_DEATH_STAR

See Also:
  Constant Field Values

Method Detail

### getAccelerometerBasedGravity

    public static GravitySource getAccelerometerBasedGravity(Context c)

### getStaticGravity

    public static GravitySource getStaticGravity(Vector2D v)

### getStaticGravity

    public static GravitySource getStaticGravity(float i,
                                                 float j)

### onAccuracyChanged

    public void onAccuracyChanged(Sensor sensor,
                                  int accuracy)

### onSensorChanged

    public void onSensorChanged(SensorEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD